/***************************************************************************
                          wadview.h  -  description
                             -------------------
    begin                : Wed Jul 26 2000
    copyright            : (C) 2000 by Simon E. Reichelt
    email                : s.reichelt@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef WADVIEW_H
#define WADVIEW_H 1

#include "texdat.h"

#define BAD_MEM -1


extern texrep_t *tex_dat;

extern GtkWidget *con_text;

extern GtkWidget *pck_table1;

extern int tex_cnt;

extern int sel_index;


int WVError(char message[], ...);

int ConPrint(const char message[], ...);

void PrepareRectGC(GdkGC *gc);

void SetSizeLabel(GtkWidget *widget, texrep_t *tex_entry);

void SelectTexture(texrep_t *tex_entry, GtkWidget *emitter, int *s_index);

int RedrawDetail(GtkWidget *emitter, GdkEvent *event, gpointer data);

void OpenDetailDialog(GtkWidget *widget, texrep_t *tex_entry);

int MouseEvent(GtkWidget *emitter, GdkEvent *event, gpointer data);

void SetGreyColor(GtkWidget *widget);

GtkWidget *CreateParentTable(GtkWidget *widget, int tex_num);

void PopulateTexBrowser(texrep_t *tex_set, int tex_num, void *data);

void SetMainWinTitle(GtkWidget *widget, char f_name[]);

void InitWadLoad(GtkWidget *emitter, gpointer data);

#endif